﻿@charset "utf-8";

/* CSS Document */
.header-menu {
    position: fixed;
    z-index: 999;
    background: #000;
    width: 100%;
    max-height: 95px;
}

.logo img {
    /* width: 100%; */
    padding-bottom: 5px;
    max-height: 95px;
    padding-top: 5px;
}

.main-menu {
    float: left;
    text-align: center;
    padding: 5px 0;
}

.main-menu ul {
    display: flex;
    margin: 0;
    padding: 0;
    gap: 10px;
}

.main-menu ul li {
    display: flex;
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.main-menu ul li a {
    padding: 5px 9px;
    color: #fff;
    font-size: 13px;
    font-weight: 600;
}

.main-menu ul li a:hover,
.main-menu ul li a.active {
    color: #fede87;
}

.login-wrap {
    float: right;
    /* padding: 19px 5px; */
    display: flex;
}

.lang-box {
    float: right;
}

.login-btn {
    color: #000;
    background: linear-gradient(180deg, rgba(249, 237, 125, 1) 0%, rgba(210, 162, 64, 1) 100%);
    border: none;
    padding: 8px 45px;
    font-weight: 700;
    font-size: 16px;
    border-radius: 19px;
    margin: 0 3px;
    transition: all 0.3s;
}

.login-btn:hover {
    filter: grayscale(0.1);
    box-shadow: inset 0px 0px 7px 0px rgba(0, 0, 0, 0.38);
    transition: all 0.3s;
}

.login-btn:focus {
    outline: 0;
}

.reg-btn {
    color: #fede87;
    background: #000;
    border: 1px solid #fede87;
    padding: 8px 45px;
    font-weight: 700;
    font-size: 16px;
    border-radius: 19px;
    margin: 0 3px;
    transition: all 0.5s;
}

.reg-btn:hover {
    background: #000;
    color: #fede87;
    box-shadow: inset 0px 0px 7px 0px rgba(0, 0, 0, 0.38);
    transition: all 0.5s;
}

.lang-box {
    float: right;
    padding: 15px 5px;
    display: flex;
    align-items: center;
    gap: 10px;
}

.lang-btn {
    background: transparent;
    color: #fff;
    font-weight: 700;
    font-size: 16px;
}

.btn.lang-btn:focus {
    outline: none;
    box-shadow: none;
}

.dropdown-menu.language {
    padding: 0;
    background: rgba(0, 0, 0, 0.8);
    border: none;
}

.dropdown-menu.language .dropdown-item {
    color: #fff;
    font-weight: 700;
    font-size: 16px;
}

.dropdown-menu.language .dropdown-item img {
    max-width: 33px;
}

.dropdown-menu.language .dropdown-item:first-child {
    border-radius: .25rem .25rem 0 0;
}

.dropdown-menu.language .dropdown-item:last-child {
    border-radius: 0 0 .25rem .25rem;
}

.dropdown-menu.language .dropdown-item:hover {
    color: #000;
    background: #fff;
}

.float-menu-btn {
    display: none;
    float: right;
    background: transparent;
    border: none;
    padding: 15px 10px 10px 5px;
}

.float-menu-btn:focus {
    outline: 0;
}

.nav-icon {
    width: 28px;
    margin: 0;
}

.nav-icon:after,
.nav-icon:before,
.nav-icon div {
    background-color: #fff;
    border-radius: 3px;
    content: '';
    display: block;
    height: 4px;
    margin: 5px 0;
    transition: all .2s ease-in-out;
}

.nav-icon:hover:before {
    transform: translateY(6px) rotate(135deg);
}

.nav-icon:hover:after {
    transform: translateY(-12px) rotate(-135deg);
}

.nav-icon:hover div {
    transform: scale(0);
}

/*** After Login ***/
.user-welcome {
    color: #ffd981;
    font-size: 18px;
    font-weight: 700;
}

.user-welcome i {
    font-size: 28px;
}

.afterlogin-wrap {
    display: flex;
    grid-template-columns: auto auto;
    align-items: center;
    /* padding: 11px 5px; */
    justify-content: flex-end;
    align-items: center;
}

.wallet-dropdown {
    display: inline-block;
}

.wallet-btn {
    color: #000;
    background: #fff;
    border: none;
    padding: 8px 12px;
    font-weight: 700;
    font-size: 15px;
    border-radius: 30px;
    margin: 0 3px;
    transition: linear 0.3s;
    cursor: pointer;
    width: 130px;
}

.wallet-btn:hover {
    color: #fff;
    background: #000;
    transition: linear 0.3s;
}

.wallet-btn:focus {
    outline: none;
}

.balance-btn {
    color: #000;
    background: linear-gradient(180deg, rgba(249, 237, 125, 1) 0%, rgba(210, 162, 64, 1) 100%);
    border: none;
    padding: 8px 12px;
    font-weight: 700;
    font-size: 15px;
    border-radius: 45px;
    margin: 0 3px;
    transition: all 0.3s;
    /* line-height: 20px; */
    width: 135px;
    cursor: pointer;
    position: relative;
}

.balance-btn:hover {
    filter: brightness(1.1);
}

.balance-btn:focus {
    outline: none;
}

/* .balance-btn:after {
    content: '';
    border-width: 5px;
    border-style: solid;
    border-color: #000 transparent transparent transparent;
    position: absolute;
    right: 12px;
    top: 15px;
} */

.dropdown-option {
    display: inline-block;
    position: relative;
}

.dropdown-balance {
    display: none;
    position: absolute;
    background: #fff;
    border: 1px solid #808080;
    z-index: 1;
    top: 62px;
    right: -84px;
    width: 300px;
    margin: auto;
    text-align: center;
    box-shadow: 1px 1px 5px 0px rgba(0, 0, 0, 0.30);
    padding: 10px 10px;
    border-radius: 4px;
    overflow-y: auto;
    max-height: 300px;
}

.dropdown-balance:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    width: 20px;
    margin: auto;
    margin-top: -20px;
    border-width: 10px;
    border-style: solid;
    border-color: transparent transparent #ffffff transparent;
    filter: drop-shadow(0px -1px 0px rgba(0, 0, 0, 0.5));
    z-index: 0;
}

.dropdown-option:hover .dropdown-balance {
    display: block;
    z-index: 2;
}

.dropdown-balance table {
    width: 100%;
}

.dropdown-menu.wallet {
    padding: 0;
    text-align: center;
    overflow: hidden;
    min-width: 128px;
    padding: 0 15px;
}

.dropdown-item.balce {
    font-size: 15px;
    padding: 6px 5px;
    border-bottom: 1px solid #d6d6d6;
    text-align: center;
}

.dropdown-item.balce:last-child {
    border-bottom: 0;
}

.dropdown-item.balce:hover {
    background: transparent;
    color: #ffba00;
}

.user-client {
    float: right;
    color: #fff;
    /* margin: 22px 0; */
    padding-right: 0px;
    text-align: center;
    white-space: nowrap;
}

.logo {
    /* padding: 0 10px; */
    /* max-height: 95px; */
}

a.inbox-txt {
    position: relative;
    font-size: 24px;
    color: #d4a643;
}

.pdt {
    padding-top: 97px;
}

.lang-inbox {
    display: flex;
}

.user-deposit {
    display: flex;
    gap: 20px;
}

.deposit-link {
    white-space: nowrap;
}

.drop-item {
    display: none;
}

/*** End After Login ***/

@media (max-width: 1600px) {
    .main-menu ul li a {
        padding: 5px 4px;
    }

    .lang-inbox {
        display: flex;
    }

    .user-deposit {
        display: flex;
        gap: 10px;
    }

    .drop-item {
        display: none;
    }

    .t-banner {
        padding-top: 90px !important;
    }

}

@media (max-width: 1450px) {
    .main-menu ul li a {
        padding: 5px 1px;
        font-size: 12px;
    }

    .lang-btn {
        font-size: 15px;
    }

    .lang-box {
        gap: 0px;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        text-align: center;
        position: relative;
        /* Ensure proper positioning for child elements */
    }

    .inbox-drop {
        grid-column: 1 / 2;
        grid-row: 2 / 3;
    }

    .user-client {
        grid-column: 1 / 2;
        grid-row: 1 / 2;
    }

    .depo-link:nth-child(1) {
        grid-column: 2 / 3;
        grid-row: 1 / 2;
    }

    .depo-link:nth-child(2) {
        grid-column: 2 / 3;
        grid-row: 2 / 3;
    }

    .drop-item {
        display: none;
    }

    .t-banner {
        padding-top: 80px !important;
    }

}

@media (max-width: 1280px) {
    .main-menu {
        /* padding: 27px 0; */
    }

    .main-menu ul li a {
        padding: 5px 3px;
        font-size: 11px;
    }

    .lang-btn {
        font-size: 14px;
    }

    .lang-box {
        float: right;
        padding: 20px 5px;
    }

    .dropdown-menu.language .dropdown-item {
        font-size: 15px;
    }

    .t-banner {
        padding-top: 80px !important;
    }

    .drop-item {
        display: none;
    }

}

@media (max-width: 1140px) {

    .float-menu-btn {
        display: inline-block;
    }

    .login-wrap {
        padding: 8px 5px;
    }

    .header-menu {
        /* height: 140px; */
    }

    .afterlogin-wrap {
        padding: 9px 5px;
    }

    .balance-btn {
        /* padding: 3px 7px 7px 7px; */
        font-size: 15px;
        /* line-height: 16px; */
    }

    .balance-btn:after {
        right: 14px;
        top: 18px;
    }

    .user-client {
        display: none;
    }

    .depo-link {
        display: none;
    }

    .dropdown {
        display: none;
    }

    a.inbox-txt {
        font-size: 23px;
    }

    .lang-box {
        padding: 0px;
        gap: 0px;
        padding-right: 10px;
        display: block;
    }

    .pdt {
        /* padding-top: 150px; */
    }

    .drop-item {
        display: block;
    }

    .t-banner {
        padding-top: 90px;
    }
}

@media (max-width: 991px) {

    .desktop-view {
        display: none !important;
    }

    .mobile-view {
        display: block !important;
    }

    .main-menu {
        display: none;
    }

    .logo img {
        /* width: 100%; */
        /* padding-bottom: 5px; */
        /* height: 100%; */
    }

    .logo {
        /* padding: 0px 10px; */
        padding-left: 10px;
    }

}

@media (max-width: 767px) {
    .login-wrap {
        padding: 17px 5px;
    }

    .login-btn {
        padding: 4px 34px;
        font-size: 15px;
        margin: 0 0px;
    }

    .reg-btn {
        padding: 4px 34px;
        font-size: 15px;
        margin: 0 0px;
    }

    .header-menu {
        /* height: 140px; */
    }

    .mobile-view {
        display: block !important;
    }

    .desktop-view {
        display: none !important;
    }

    .main-menu {
        display: none;
    }

}

@media (max-width: 600px) {

    .header-menu {
        /* height: 125px; */
    }

    .pdt {
        padding-top: 130px;
    }
}

@media (max-width: 480px) {
    .header-menu {
        height: 60px;
    }

    .pdt {
        padding-top: 65px;
    }

    .login-btn,
    .reg-btn {
        padding: 4px 24px;
        font-size: 10px;
        margin: 0 1px;
    }

    .afterlogin-wrap {
        padding: 10px 3px;
    }

    .balance-btn {
        padding: 7px 5px 7px 5px;
        font-size: 12px;
        line-height: 14px;
        width: auto;
    }

    .wallet-btn {
        padding: 3px 5px 5px 5px;
        font-weight: 700;
        font-size: 12px;
        width: 35px;
    }

    .balance-btn:after {
        right: 4px;
        top: 16px;
        border-width: 4px;
    }

    .dropdown-balance {
        width: 280px;
        right: -93px;
        top: 50px;
    }

    .fgt {
        margin-top: 7px;
    }
}

@media (min-width: 2560px) {
    .t-banner {
        padding-top: 150px;
    }
}

.header-menu .align-items-center {
    background: #000;
}

.deposit-link a {
    padding-right: 6px;
    color: #fff;
}

.inbox-drop {
    display: flex;
}

.depo-link a {
    color: #fff;
}

.balance-btn.btn-1 {
    display: block;
}

.balance-btn.btn-2 {
    display: none;
}

/* 23052024 */

.retriev-btn {
    background: linear-gradient(180deg, rgba(249, 237, 125, 1) 0%, rgba(210, 162, 64, 1) 100%);
    border: none;
    width: 80%;
    border-radius: 5px;
    color: #000;
}
